Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class CanvasImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.CanvasImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, Canvas, Identity

    public class CanvasImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements Canvas

An implementation of the model object 'Canvas'.

The following features are implemented:

- `Name`
- `Figures`
- `Nodes`
- `Connections`
- `Compartments`
- `Labels`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<Compartment>` `compartments` The cached value of the '`Compartments`' containment reference list
`protected org.eclipse.emf.common.util.EList<Connection>` `connections` The cached value of the '`Connections`' containment reference list
`protected org.eclipse.emf.common.util.EList<FigureGallery>` `figures` The cached value of the '`Figures`' containment reference list
`protected org.eclipse.emf.common.util.EList<DiagramLabel>` `labels` The cached value of the '`Labels`' containment reference list
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute
`protected org.eclipse.emf.common.util.EList<Node>` `nodes` The cached value of the '`Nodes`' containment reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CanvasImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Compartment>` `getCompartments()`
`org.eclipse.emf.common.util.EList<Connection>` `getConnections()`
`org.eclipse.emf.common.util.EList<FigureGallery>` `getFigures()`
`org.eclipse.emf.common.util.EList<DiagramLabel>` `getLabels()`
`java.lang.String` `getName()`
`org.eclipse.emf.common.util.EList<Node>` `getNodes()`
`void` `setName(java.lang.String newName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### figures

    protected org.eclipse.emf.common.util.EList<FigureGallery> figures

  The cached value of the '`Figures`' containment reference list.

  See Also:
    `getFigures()`
  ** Generated **
  Ordered:

### nodes

    protected org.eclipse.emf.common.util.EList<Node> nodes

  The cached value of the '`Nodes`' containment reference list.

  See Also:
    `getNodes()`
  ** Generated **
  Ordered:

### connections

    protected org.eclipse.emf.common.util.EList<Connection> connections

  The cached value of the '`Connections`' containment reference list.

  See Also:
    `getConnections()`
  ** Generated **
  Ordered:

### compartments

    protected org.eclipse.emf.common.util.EList<Compartment> compartments

  The cached value of the '`Compartments`' containment reference list.

  See Also:
    `getCompartments()`
  ** Generated **
  Ordered:

### labels

    protected org.eclipse.emf.common.util.EList<DiagramLabel> labels

  The cached value of the '`Labels`' containment reference list.

  See Also:
    `getLabels()`
  ** Generated **
  Ordered:

Constructor Detail

### CanvasImpl

    protected CanvasImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Identity`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Identity.setName(String)`, `GMFGraphPackage.getIdentity_Name()`
  ** Generated **

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `Identity`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `Identity.getName()`
  ** Generated **

### getFigures

    public org.eclipse.emf.common.util.EList<FigureGallery> getFigures()

  Specified by:
    `getFigures` in interface `Canvas`
  Returns:
    the value of the 'Figures' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Figures()`
  ** Generated **

### getNodes

    public org.eclipse.emf.common.util.EList<Node> getNodes()

  Specified by:
    `getNodes` in interface `Canvas`
  Returns:
    the value of the 'Nodes' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Nodes()`
  ** Generated **

### getConnections

    public org.eclipse.emf.common.util.EList<Connection> getConnections()

  Specified by:
    `getConnections` in interface `Canvas`
  Returns:
    the value of the 'Connections' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Connections()`
  ** Generated **

### getCompartments

    public org.eclipse.emf.common.util.EList<Compartment> getCompartments()

  Specified by:
    `getCompartments` in interface `Canvas`
  Returns:
    the value of the 'Compartments' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Compartments()`
  ** Generated **

### getLabels

    public org.eclipse.emf.common.util.EList<DiagramLabel> getLabels()

  Specified by:
    `getLabels` in interface `Canvas`
  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Labels()`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.